in

Instalador do Debian Buster Alpha 5 possui suporte a UEFI Secure Boot

instalador-do-debian-10-buster-chega-a-fase-rc
Novo tema do Debian 10

O Debian 10 Buster a ser lançado este ano prepara muitas novidades. Agora, o instalador do Debian Buster Alpha 5 possui suporte a UEFI Secure Boot. O quinto alfa do Debian Installer para a próxima versão Debian 10.0 “Buster” está agora disponível para teste. O que torna este novo lançamento particularmente importante para testar é que ele apresenta o suporte inicial ao UEFI Secure Boot. Esta era uma função muito aguardada por vários usuários do Debian.

O desenvolvimento

O Debian 9 “Stretch” não obteve suporte ao UEFI Secure Boot a tempo. Então, os desenvolvedores Debian trabalhavam para garantir que o lançamento deste ano, o Debian 10.0 Buster, suportará este padrão de segurança encontrado em hardware de PC nos últimos anos.

O suporte a Boot Seguro não está completo neste lançamento do Buster Alpha 5 do Instalador Debian. No entanto, está próximo de ser concluído e precisando de testes mais difundidos. O Debian Buster será o padrão para instalar os pacotes assinados no hardware x86_64.

O novo instalador

Este novo alfa do Instalador Debian também adiciona:

  • suporte de compressão Zstd ao seu suporte a Btrfs;
  • atualizações no kernel 4.19 do Linux;
  • otimizações em tempo de execução para o debootstrap;
  • suporte ao convidado Xen PVH dentro do seu gerenciador de inicialização GRUB2;
  • suporte ReiserFS foi retirado do Partconf;
  • habilitação do suporte a TLSv1.0 para o WPA-Supplicant;
  • novas entradas da placa ARM e várias outras melhorias.

Mais detalhes sobre a versão do Debian Installer Buster Alpha 5 via debian-boot. Aqueles que querem testar o suporte à inicialização segura do Debian podem obter mais detalhes através desta chamada para testes.

Fonte

Written by Claylson

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Fedora 31 não terá mais pacotes do Linux Kernel i686

Fedora 30 aprimora Fastboot para melhorar inicialização

Descoberta vulnerabilidade crítica do Ghostscript

Descoberta vulnerabilidade crítica do Ghostscript